Name:           youtube-unblock
Version:        1.0.0.release
Release:        2%{?dist}
Summary:        Bypasses Deep Packet Inspection (DPI) systems that relies on SNI.

License:        GPLv3+


%global forgeurl https://github.com/Waujito/youtubeUnblock
%global tag v1.0.0
%forgemeta


URL:            %{forgeurl}
Source:         %{forgesource}
Patch0:         youtube-unblock-wrapper.patch

BuildRequires:  redhat-rpm-config systemd-rpm-macros gcc make autoconf automake pkg-config libtool glibc-static


%description
Bypasses Deep Packet Inspection (DPI) systems that relies on SNI.


%global unit youtube-unblock.service
%global wrapper youtube-unblock-wrapper.sh


%prep
%forgesetup
%autopatch -p1


%build
%make_build


%install
PREFIX=%_exec_prefix %make_install
mv %{buildroot}%_unitdir/youtubeUnblock.service %{buildroot}%_unitdir/%unit
sed -i 's/\/usr\/bin\/youtubeUnblock/\/usr\/bin\/youtube-unblock-wrapper\.sh/g' %{buildroot}%_unitdir/%unit
install -m 744 -D %wrapper %{buildroot}%_bindir
rm -rf %{buildroot}%_libdir


%post
%systemd_post %unit


%preun
%systemd_preun %unit


%postun
%systemd_postun_with_restart %unit


%files
%license LICENSE
%_bindir/youtubeUnblock
%_bindir/%wrapper
%_unitdir/%unit


%changelog
* Fri May 9 2025 Avzive <avzive@gmail.com>
- Provide ability to configure options
* Tue Mar 18 2025 Avzive <avzive@gmail.com>
- Update version (v1.0.0)
* Sat Jan 4 2025 Avzive <avzive@gmail.com>
- Update version (v1.0.0-rc5)
* Tue Nov 26 2024 Avzive <avzive@gmail.com>
- Initial version (v1.0.0-rc3)
